[arch-commits] CVS update of extra/gnome/libgnome (3 files)

Jan de Groot jgc at archlinux.org
Sun Apr 22 13:57:43 UTC 2007


    Date: Sunday, April 22, 2007 @ 09:57:43
  Author: jgc
    Path: /home/cvs-extra/extra/gnome/libgnome

   Added: bgo424949.patch (1.1)
Modified: PKGBUILD (1.24 -> 1.25) libgnome.install (1.6 -> 1.7)

upgpkg: libgnome 2.18.0-2
Move to /usr, add patch to fix bug-buddy for some programs


------------------+
 PKGBUILD         |   28 ++++++++++++++--------------
 bgo424949.patch  |   26 ++++++++++++++++++++++++++
 libgnome.install |   12 +++++++-----
 3 files changed, 47 insertions(+), 19 deletions(-)


Index: extra/gnome/libgnome/PKGBUILD
diff -u extra/gnome/libgnome/PKGBUILD:1.24 extra/gnome/libgnome/PKGBUILD:1.25
--- extra/gnome/libgnome/PKGBUILD:1.24	Mon Mar 19 13:54:56 2007
+++ extra/gnome/libgnome/PKGBUILD	Sun Apr 22 09:57:43 2007
@@ -1,30 +1,30 @@
-# $Id: PKGBUILD,v 1.24 2007/03/19 17:54:56 jgc Exp $ 
-# Maintainer: arjan <arjan at archlinux.org>
-#             Jan de Groot <jgc at archlinux.org>
+# $Id: PKGBUILD,v 1.25 2007/04/22 13:57:43 jgc Exp $ 
+# Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=libgnome
 pkgver=2.18.0
-pkgrel=1
+pkgrel=2
 pkgdesc="Common libraries for GNOME"
 arch=(i686 x86_64)
-depends=('gnome-vfs>=2.18.0.1' 'esd>=0.2.37' 'libbonobo>=2.18.0')
+license=('LGPL')
+depends=('gnome-vfs>=2.18.1' 'esd>=0.2.37' 'libbonobo>=2.18.0-2')
 makedepends=('pkgconfig' 'perlxml')
 options=('nolibtool')
 url="http://www.gnome.org"
-license=(GPL)
 install=libgnome.install
-source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.18/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('73426589d7c6fa3266fe4e8f3be2f5b5')
+source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.18/${pkgname}-${pkgver}.tar.bz2
+	bgo424949.patch)
+md5sums=('73426589d7c6fa3266fe4e8f3be2f5b5' '27f1271f646f3a125e302fbd9014297e')
 
 build() {
-  [ -z "${GNOMEDIR}" ] && . /etc/profile.d/gnome.sh
-
   cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/opt/gnome --disable-static
+  patch -Np2 -i ${startdir}/src/bgo424949.patch || return 1
+  ./configure --prefix=/usr --sysconfdir=/etc \
+              --localstatedir=/var --disable-static
   make || return 1
   make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=${startdir}/pkg install
 
-  mkdir -p ${startdir}/pkg/opt/gnome/share/gconf/schemas
-  gconf-merge-schema ${startdir}/pkg/opt/gnome/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/opt/gnome/etc/gconf/schemas/*.schemas
-  rm -f ${startdir}/pkg/opt/gnome/etc/gconf/schemas/*.schemas
+  mkdir -p ${startdir}/pkg/usr/share/gconf/schemas
+  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas
+  rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
 }
Index: extra/gnome/libgnome/bgo424949.patch
diff -u /dev/null extra/gnome/libgnome/bgo424949.patch:1.1
--- /dev/null	Sun Apr 22 09:57:43 2007
+++ extra/gnome/libgnome/bgo424949.patch	Sun Apr 22 09:57:43 2007
@@ -0,0 +1,26 @@
+--- branches/gnome-2-18/libgnome/gnome-program.c	2007/03/12 11:33:39	3398
++++ branches/gnome-2-18/libgnome/gnome-program.c	2007/04/01 13:41:12	3409
+@@ -1296,6 +1296,7 @@
+     GnomeModuleInfo *a_module;
+     poptContext argctx = NULL;
+     int i;
++    char *prgname;
+ 
+     g_return_val_if_fail (program != NULL, NULL);
+     g_return_val_if_fail (GNOME_IS_PROGRAM (program), NULL);
+@@ -1305,12 +1306,13 @@
+ 	return NULL;
+ 
+     /* Store invocation name */
+-    g_set_prgname (argv[0]);
++    prgname = g_path_get_basename (argv[0]);
++    g_set_prgname (prgname);
++    g_free (prgname);
+ 
+     /* 0. Misc setup */
+     g_free (program->_priv->app_id);
+     program->_priv->app_id = g_strdup (app_id);
+-    g_set_prgname (app_id);
+     g_free (program->_priv->app_version);
+     program->_priv->app_version = g_strdup (app_version);
+     program->_priv->argc = argc;
Index: extra/gnome/libgnome/libgnome.install
diff -u extra/gnome/libgnome/libgnome.install:1.6 extra/gnome/libgnome/libgnome.install:1.7
--- extra/gnome/libgnome/libgnome.install:1.6	Sun Mar 19 07:34:37 2006
+++ extra/gnome/libgnome/libgnome.install	Sun Apr 22 09:57:43 2007
@@ -1,8 +1,8 @@
 pkgname=libgnome
 
 post_install() {
-  GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source` \
-    opt/gnome/bin/gconftool-2 --makefile-install-rule opt/gnome/share/gconf/schemas/${pkgname}.schemas >/dev/null
+  GCONF_CONFIG_SOURCE=`usr/bin/gconftool-2 --get-default-source` \
+    usr/bin/gconftool-2 --makefile-install-rule usr/share/gconf/schemas/${pkgname}.schemas >/dev/null
 }
 
 pre_upgrade() {
@@ -14,14 +14,16 @@
 }
 
 pre_remove() {
-  if [ -f opt/gnome/share/gconf/schemas/${pkgname}.schemas ]; then
+  if [ -f usr/share/gconf/schemas/${pkgname}.schemas ]; then
+    schemas=(usr/share/gconf/schemas/${pkgname}.schemas)
+  elif [ -f gnome/share/gconf/schemas/${pkgname}.schemas ]; then
     schemas=(opt/gnome/share/gconf/schemas/${pkgname}.schemas)
   else
     schemas=(`pacman -Ql $pkgname | grep 'gconf/schemas/.*schemas$' | awk '{ print $2 }'`)
   fi
 
-  GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source` \
-    opt/gnome/bin/gconftool-2 --makefile-uninstall-rule ${schemas[@]} >/dev/null
+  GCONF_CONFIG_SOURCE=`usr/bin/gconftool-2 --get-default-source` \
+    usr/bin/gconftool-2 --makefile-uninstall-rule ${schemas[@]} >/dev/null
 }
 
 op=$1




More information about the arch-commits mailing list